Bug 1481455 - SELinux is preventing abrt-dump-journ from 'map' accesses on the file /run/log/journal/2000656e56500583cc9b884bb121a7b9/system.journal.
Summary: SELinux is preventing abrt-dump-journ from 'map' accesses on the file /run/lo...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:699cdb4c4bedf995ef4e89e8945...
Keywords:
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-08-14 23:39 UTC by Adam Williamson
Modified: 2017-10-31 15:34 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-31 15:34:30 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-08-14 23:39:44 UTC
Description of problem:
Just showed up in normal system use, after the SELinux update that introduced the 'map' permission.
SELinux is preventing abrt-dump-journ from 'map' accesses on the file /run/log/journal/2000656e56500583cc9b884bb121a7b9/system.journal.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-dump-journ should be allowed map access on the system.journal file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'abrt-dump-journ' --raw | audit2allow -M my-abrtdumpjourn
# semodule -X 300 -i my-abrtdumpjourn.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                system_u:object_r:syslogd_var_run_t:s0
Target Objects                /run/log/journal/2000656e56500583cc9b884bb121a7b9/
                              system.journal [ file ]
Source                        abrt-dump-journ
Source Path                   abrt-dump-journ
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git4.1.fc27.x86_64 #1
                              SMP Fri Aug 11 15:03:46 UTC 2017 x86_64 x86_64
Alert Count                   3
First Seen                    2017-08-12 17:37:44 PDT
Last Seen                     2017-08-12 17:37:44 PDT
Local ID                      722652ea-e8c2-4572-9b67-34c7307111f5

Raw Audit Messages
type=AVC msg=audit(1502584664.597:261): avc:  denied  { map } for  pid=1100 comm="abrt-dump-journ" path="/run/log/journal/2000656e56500583cc9b884bb121a7b9/system.journal" dev="tmpfs" ino=15508 scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=system_u:object_r:syslogd_var_run_t:s0 tclass=file permissive=0


Hash: abrt-dump-journ,abrt_dump_oops_t,syslogd_var_run_t,file,map


Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport

Comment 1 Jan Kurik 2017-08-15 08:45:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Fedora Update System 2017-10-25 10:11:26 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 3 Fedora Update System 2017-10-27 18:44:53 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 4 Fedora Update System 2017-10-31 15:34:30 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.